=begin JA

= ϵ¸

# * ⶶ ˧ (yot)
#   * $Id: exp-Earth.rd,v 1.6 2011-06-17 02:39:38 yot Exp $

=end JA
=begin EN

= Experiment for the Earth

# * Yoshiyuki O. Takahashi (yot)
#   * $Id: exp-Earth.rd,v 1.6 2011-06-17 02:39:38 yot Exp $

=end EN


=begin JA

ϵμ¸Ԥˡޤ. 

η׻ˤϰʲʪѤƤޤ. 

  *  (ϵ絤)
  * ľȻ (Mellor and Yamada, 1974, ٥ 2) 
  * ѱѥ᥿ꥼ: ήĴ (Manabe et al., 1965) 
  * Ƿ絬϶ŷ 
#  * ήĴ
  * Хĥǥ

=end JA
=begin EN

A method to perform an experiment for the Earth is described. 

Following physical processes are used in this experiment.

  * Radiation (...) 
  * Vertical diffusion (Mellor and Yamada, 1974, level 2) 
  * Cumulus parameterization: Convective adjustment scheme (Manabe et al., 1965) 
  * Large scale condensation
#  * Dry convective adjustment
  * Bucket model

=end EN


=begin JA
== 

ܼ¸Ǥ, ɽ̲, , ɽ̩, ʬۤΥǡɬפǤ. ä, 
¸μ¹Ԥϰʲ 4 ĤΥƥåפǹԤޤ.

  * ¸ǥ쥯ȥν
  * ͤν
  * ¸ѥǡν
  * ¸μ¹

=end JA
=begin EN
== Overview

This experiment requires data of distribution of sea surface temperature, surface properties, sea ice density, and ozone. 
So, the experiment is performed with the following 4 steps:

  * Preparation of directory for experiments
  * Preparation of initial condition
  * Preparation of additional data for experiments
  * Execution of experiments

=end EN

=begin JA

== ¸ѥǥ쥯ȥ

Ǥ, practice/Earth-exp ǥ쥯ȥǼ¸ԤȤˤޤ. 
ʲΤ褦 practice/Earth-exp ǥ쥯ȥ, ǥ쥯ȥ
ưƤ.

  $ cd practice
  $ mkdir Earth-exp
  $ cd Earth-exp

, Υǥ쥯ȥ˼¹ԥեե򥳥ԡޤ. 

  $ cp ../../src/main/dcpam_main ../../src/main/init_data ../../src/main/sst_data .
  $ cp ../../src/sample_nml/*.nml .


#practice ǥ쥯ȥ˰ưƤ. 
#
#  $ cd practice
#
#Υǥ쥯ȥ, make ޥɤ¹ԤƤ.
#ưŪ˼¹ԥե NAMELIST ե뤬ԡޤ. 
#make ޥϸ, ޤǥ쥯ȥ̾ŬϤƤ.
#(Ǥ Earth-exp ȤƤޤ). 
#ʹߤμϤȤꤢΤޤ Enter ϤƤ. 
#
#  $ make
#
#  ****** Setup a directory for a experiment ******
#
#    Enter directory name [testXX]: Earth-exp
#    Directory in which executable files are prepared
#      [../src/main]: 
#            :
#
#ƤΥǥ쥯ȥ˰ưޤ. 
#
#  $ cd Earth-exp


ʤ, Υǥ쥯ȥʳǤ, ¹ԥե, ե (namelist ե) 
з׻ԤȤϤǤޤ. 

== ͥǡեκ

init_data  init_data_E_T21L22.nml
Ѥƽͥե init_T21L22.nc ޤ. 

  $ ./init_data -N=init_data_E_T21L22.nml

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20110714 $$Id: exp-Earth.rd,v 1.6 2011-06-17 02:39:38 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20110714 $$Id: exp-Earth.rd,v 1.6 2011-06-17 02:39:38 yot Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "init_data_E_T21L22.nml".
                         : 
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20110714 $$Id: exp-Earth.rd,v 1.6 2011-06-17 02:39:38 yot Exp $
   *** MESSAGE [HistoryClose] ***  "init_T21L22.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.120000E-01
   ------------------------------------------------
          TOTAL TIME =    0.120000E-01


== ¸ѥǡν

¸ѥǡȤ, ɽ̲, , ɽ̩, ʬۤΥǡ
ʲѰդƤޤ. 

  * ((<ץǡ|URL:http://www.gfd-dennou.org/library/dcpam/sample/2011-02-19_tutorial/Earth/>))

嵭Υڡ "sst_amipII_bc_clim_T021.nc", "sp_for_Earth_T021.nc", "sic_amipII_bc_clim_T021.nc", "O3_CMIP5_climatology_zonalmean_T021.nc" ɤ, ¸Ԥǥ쥯ȥ֤Ƥ. 

== ¸μ¹

Ǹ dcpam_main, dcpam_E_T21L22.nml ѤƼ¸»ܤޤ. 
 T21L22, ֥ƥå 30 ʬ 10 ʬ׻Ԥޤ. 
ꥹȥǡ, ɽ̥ꥹȥǡȤĤΥҥȥǡ
ե뤬Ϥޤ. 

  $ ./dcpam_main -N=dcpam_E_T21L22.nml | tee Earth.log

ͥǡ, ɽ̥ǡ, ¸ѹˤ,
嵭μ¹Ԥ˺ݤ, init_data_E_T21L22.nml, 
dcpam_E_T21L22.nml ѹƤ. 

== ̤βĻ벽

10 ˤ벹٤ʿʬۤϰʲοޤΤ褦ˤʤޤ.

((<"IMG:images/earth_irb_temp_meanlon_time10day.png">))

οޤ, ((<Gphys|URL:http://www.gfd-dennou.org/library/ruby/products/gphys/>)) 
Ѥ,  νˤä褷Ƥޤ. 

  ޤ irb ư. 

  $ irb

  ʲΤ褦 irb ΥץץȤɽޤ.

  irb(main):001:0>

  ΥץץȤ, ʲΤ褦˥ޥɤǤޤ.
  üοϹֹ, ǤɬפϤޤ.

  1: require "numru/ggraph"
  2: include NumRu
  3: gphys = GPhys::IO.open('Temp.nc', 'Temp')
  4: DCL.gropn(1)
  5: DCL.sgpset('lcntl', false) ; DCL.uzfact(0.7)
  6: GGraph.set_fig( 'itr'=> 2 )
  7: GGraph.tone( gphys.mean('lon').cut('time'=>10) )
  8: GGraph.color_bar
  9: DCL.grcls

  irb ΥץץȤˤ quit ǤĤ irb λ뤳ȤǤޤ. 

η׻ѤƤͤŻ絤Ǥ. 
ϵ絤, 10 ֤ǤϽ֤ˤãޤΤ, 嵭οޤϥԥ󥢥åξ֤ɽƤޤ. 


=end JA

=begin EN

== Preparation of a directory for an experiment

Here, we perform an experiment in practice/Earth-exp directory. 
Please create the directory and enter there as follows: 

  $ cd practice
  $ mkdir Earth-exp
  $ cd Earth-exp

Then, executable files and configuration files are copied as follows: 

  $ cp ../../src/main/dcpam_main ../../src/main/init_data ../../src/main/sst_data .
  $ cp ../../src/sample_nml/*.nml .


#Move "practice" directory:
#
#  $ cd practice
#
#In the directory, execute 'make' command. 
#The execution files and the NAMELIST files will be automatically copied. 
#Input directory name first of all after inputting 'make' command. 
#(It is assumed "Earth-exp" in the following example). 
#Input 'Enter' to the question after that. 
#
#  $ make
#
#  ****** Setup a directory for a experiment ******
#
#    Enter directory name [testXX]: Earth-exp
#    Directory in which executable files are prepared
#      [../src/main]: 
#            :
#
#Move the directory
#
#  $ cd Earth-exp


Note that you can perform an experiment in any directory by using executable files and configuration (namelist) files.


== Preparation of additional data

This experiment requires additional data, sea surface temperature, surface properties, sea ice density, and ozone distribution. 
Those data are prepared at following site.

  * ((<sample data|URL:http://www.gfd-dennou.org/library/dcpam/sample/2011-02-19_tutorial/Earth/>))

Please download "sst_amipII_bc_clim_T021.nc", "sp_for_Earth_T021.nc", "sic_amipII_bc_clim_T021.nc", and "O3_CMIP5_climatology_zonalmean_T021.nc" from above site, and place those files at experimental directory. 


== Run the experiment

At the last, run a experiment using 
"dcpam_main" and "dcpam_E_T21L22.nml". 
Resolution is T21L22, time step is 30 minutes.
Integration time is 10 days. 
A restart data file, a restart data file of surface data,
and some history data files are output. 

  $ ./dcpam_main -N=dcpam_E_T21L22.nml | tee Earth.log

If initial data, surface data, settings of experiments want to be
changed, edit "init_data_T21L22.nml", 
"dcpam_E_T21L22.nml". 


== Visualization of result

Zonal mean temperature distribution after integration for 10 days is shown below. 

((<"IMG:images/earth_irb_temp_meanlon_time10day.png">))

This figure is drawn by using ((<Gphys|URL:http://www.gfd-dennou.org/library/ruby/products/gphys/>)), as follows: 

  Please type irb. 

  $ irb

  Following prompt of irb is shown. 

  irb(main):001:0>

  Type following lines. Please note that the left-most number is line number, and it has not been typed. 

  1: require "numru/ggraph"
  2: include NumRu
  3: gphys = GPhys::IO.open('Temp.nc', 'Temp')
  4: DCL.gropn(1)
  5: DCL.sgpset('lcntl', false) ; DCL.uzfact(0.7)
  6: GGraph.set_fig( 'itr'=> 2 )
  7: GGraph.tone( gphys.mean('lon').cut('time'=>10) )
  8: GGraph.color_bar
  9: DCL.grcls

  Type quit to exit irb. 

Above figure shows spin-up phase of the atmosphere, because the Earth's atmosphere 
does not reach quasi-equilibrium in 10 days. 


=end EN


=begin JA
== ʸ
=end JA

=begin EN
== References
=end EN

=begin

* Manabe, S., J. Smagorinsky, and R. F. Strickler, 1965: 
  Simulated climatology of a general circulation model with a
  hydrologic cycle,
  ((|Mon. Wea. Rev.|)), ((*93*)), 769--798.

* Mellor, G. L., and T. Yamada, 1974: 
  A hierarchy of turbulence closure models for planetary
  boundary layers,
  ((|J. Atmos. Sci.|)), ((*31*)), 1791--1806.

=end

=begin HTML
<hr />
<small>
  $Id: exp-Earth.rd,v 1.6 2011-06-17 02:39:38 yot Exp $
</small>
=end HTML

